# Common part of makefile 
# Last edited on 2008-06-26 01:28:28 by stolfi

######################################################################
# Client must define ${JOBNAME} ${PAPERSZE}
# May also define ${TEXMACROS} ${BIBS} ${FIGURES}

ifneq "/${JOBNAME}" "/"
ifneq "/${PAPERSIZE}" "/"

SHOWDVI := \
  xdvi

SHOWPS := \
  gv
  
.PHONY: all display-ps display-pdf clean error
 
# all: display-pdf
all: display-ps

# NEWTEX := export TEXINPUTS=".:${STOLFIHOME}/tex/inputs::"
NEWTEX := export TEXINPUTS=".::"

${JOBNAME}.dvi: ${JOBNAME}.make ${JOBNAME}.tex ${TEXMACROS} ${BIBS} ${FIGURES}
	${NEWTEX}; run-latex ${JOBNAME}
        
${JOBNAME}.ps: ${JOBNAME}.dvi
	${NEWTEX}; dvips -D 1200 -t ${PAPERSIZE} -o ${JOBNAME}.ps  ${JOBNAME}
  
${JOBNAME}.pdf: ${JOBNAME}.ps
	ps2pdf ${JOBNAME}.ps > ${JOBNAME}.pdf
  
display-ps: ${JOBNAME}.ps
	${SHOWPS} ${JOBNAME}.ps

display-pdf: ${JOBNAME}.pdf
	${SHOWPDF} ${JOBNAME}.pdf

error: 
	@ echo "make what?"

clean:
	/bin/rm -v *.{lot,lof,toc,bbl,aux,log,blg}{,~~}
	/bin/rm -v ${JOBNAME}.{aux,errs,ps,pdf,dvi}

endif
endif
# End of ${JOBNAME}, ${PAPERSIZE} section
######################################################################
